////////////////////////////////
//
// TS_InputBlock.h
//
//  1994, 1995, 1996, 1997 Tangent Systems
//
// All rights reserved.
//
// This file contains confidential and proprietary information. No Portion
// of this file may be reproduced, by any means, without the written
// permission of Tangent Systems
//
// Tangent Systems makes no representation or warranties about the suitibility of the software,
// either express or implied, including but not limited to the implied warranties of merchantability,
// fitness for a particular purpose, or non-infringment.
//
// Description:

//
//
// Author: John H. Shackelford, Tangent Systems
// email: jshack@tangentsys.com
//
// Date: 1997/06/20
// Version: A
//
// Revision History:
// 1997/06/20 Revision A - 	Initial Release
//
////////////////////////////////	
	
#ifndef _TS_InputBlock_h
#define _TS_InputBlock_h

#include "TSBuildBlock.h"


class TS_InputBlock : public TSBuildBlock
{
public:
// Attributes
		
	Real	StartTime;
	Real	InitialValue;

// Methods
	TS_InputBlock();
	TS_InputBlock(Real sTime, Real iValue);
	int doSimulate(Real time);

protected:
	virtual Real doSignalFunction(Real time);
			
};
#endif